System Requirements

Callinize requires:

1. A supported CRM
2. A supported phone system (any VoIP Provider is generally supported)
3. Google Chrome (as your end-users browser)

See: https://www.tenfold.com/integrations for a list of integrations.

Note: not all VoIP providers are listed. If you’re using a VoIP provider, the chances are very good that it will work with Callinize as long as you use a supported device or are willing to use the Callinize Softphone.

Comments are closed.

Do you need some help? Submit a Request